List runtimes
curl --request GET \
--url https://api.gcore.com/cloud/v1/faas/runtimes/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/faas/runtimes/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/faas/runtimes/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runtimes": {
"go": [
"go1.16.6"
],
"python": [
"python2.7.18",
"python3.7.12"
]
}
}Function as a Service
List runtimes
Retrieve a list of available runtime environments for functions. Each runtime includes its version and supported features.
GET
/
cloud
/
v1
/
faas
/
runtimes
/
{project_id}
/
{region_id}
List runtimes
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Response
200 - application/json
OK
FaaS runtimes.
Show child attributes
Show child attributes
Example:
{
"go": ["go1.16.6"],
"python": ["python2.7.18", "python3.7.12"]
}
Was this page helpful?
⌘I